Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.conditions
Class PropertySuggestionPopup

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.conditions.PropertySuggestionPopup

    public class PropertySuggestionPopup

extends Object

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Nov 25, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `POPUP_TITLE`
`static int` | `POPUP_WIDTH`

Constructor Summary
`PropertySuggestionPopup(Window owner, ConditionsTable table)`

Method Summary
`void` | `hidePopup()`
`protected void` | `insertPropertyName()`
`void` | `showPopup(OWLNamedClass cls)` Shows a popup that appears next to the conditions widget table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POPUP_WIDTH

    public static final int POPUP_WIDTH

See Also:
  Constant Field Values

### POPUP_TITLE

    public static final String POPUP_TITLE

See Also:
  Constant Field Values

Constructor Detail

### PropertySuggestionPopup

    public PropertySuggestionPopup(Window owner,
                                   ConditionsTable table)

Method Detail

### showPopup

    public void showPopup(OWLNamedClass cls)

  Shows a popup that appears next to the conditions widget table. The popup displays properties that have the class being displayed in their domain.

  Parameters:
    `cls` - The class being displayed by the conditions widget.

### hidePopup

    public void hidePopup()

### insertPropertyName

    protected void insertPropertyName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.